PythonOCC

PythonOCCで色んな形状を表示してみる

前回はチュートリアルを参考に、四角の箱を表示してみました。

PythonOCCでHelloBoxをする

色んな形状が作れそうなので、今回は色んな形状を作ってみます。

円筒

金色の円筒形状を表示させた。

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeCylinder
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# 円筒を作成
my_cylinder = BRepPrimAPI_MakeCylinder(10.,30.).Shape()

# 表示
display.DisplayShape(my_cylinder, update=True )
start_display()

円錐

円錐はこんな感じ。

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeCone
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# 円錐を作成
my_cone = BRepPrimAPI_MakeCone(10.,5,30.).Shape()

# 表示
display.DisplayShape(my_cone, update=True )
start_display()

金の玉

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeSphere
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# 玉を作成
my_sphere = BRepPrimAPI_MakeSphere(10.).Shape()

# 表示
display.DisplayShape(my_sphere, update=True )
start_display()

トーラス

トーラス形状

トーラスという言葉に馴染みないが、ドーナツみたいな形状のようです

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeTorus
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# トーラスを作成
my_torus = BRepPrimAPI_MakeTorus(20.,10.).Shape()

# 表示
display.DisplayShape(my_torus, update=True )
start_display()

くさび

こちらも馴染みは無いが、くさび。

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeWedge
from OCC.Display.SimpleGui import init_display

display, start_display, add_menu, add_function_to_menu = init_display()

# くさびを作成
my_wedge = BRepPrimAPI_MakeWedge(10.,20.,30.,30.).Shape()

# 表示
display.DisplayShape(my_wedge, update=True )
start_display()

色んな形が作れそうです。

-PythonOCC

© 2021 暇人が趣味をさがす